phoenix (2026.01.21.1-1) UNRELEASED; urgency=high

  * Update to Phoenix 2026.01.21.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2026.01.21.1

 -- celenity <celenity@celenity.dev>  Wed, 21 Jan 2026 22:23:57 +0000

phoenix (2025.12.23.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.12.23.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.12.23.1

 -- celenity <celenity@celenity.dev>  Wed, 24 Dec 2025 03:51:38 +0000

phoenix (2025.11.27.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.11.27.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.11.27.1

 -- celenity <celenity@celenity.dev>  Fri, 28 Nov 2025 01:46:13 +0000

phoenix (2025.11.07.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.11.07.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.11.07.1

 -- celenity <celenity@celenity.dev>  Sat, 08 Nov 2025 00:14:34 +0000

phoenix (2025.10.26.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.10.26.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.10.26.1

 -- celenity <celenity@celenity.dev>  Mon, 27 Oct 2025 02:39:22 +0000

phoenix (2025.10.12.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.10.12.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.10.12.1

 -- celenity <celenity@celenity.dev>  Sun, 12 Oct 2025 21:31:34 +0000

phoenix (2025.10.03.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.10.03.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.10.03.1

 -- celenity <celenity@celenity.dev>  Sat, 04 Oct 2025 00:43:30 +0000

phoenix (2025.09.07.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.09.07.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.09.07.1

 -- celenity <celenity@celenity.dev>  Mon, 08 Sep 2025 00:09:53 +0000

phoenix (2025.08.06.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.08.06.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.08.06.1

 -- celenity <celenity@celenity.dev>  Thu, 07 Aug 2025 04:25:45 +0000

phoenix (2025.07.30.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.07.30.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.07.30.1

 -- celenity <celenity@celenity.dev>  Wed, 30 Jul 2025 06:21:40 +0000

phoenix (2025.07.11.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.07.11.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.07.11.1

 -- celenity <celenity@celenity.dev>  Sat, 12 Jul 2025 01:16:18 +0000

phoenix (2025.06.24.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.06.24.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.06.24.1

 -- celenity <celenity@celenity.dev>  Tue, 24 Jun 2025 10:22:08 +0000

phoenix (2025.06.10.1-2) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.06.10.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.06.10.1

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Thu, 12 Jun 2025 10:07:51 +0330

phoenix (2025.06.10.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.06.10.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.06.10.1

 -- celenity <celenity@celenity.dev>  Tue, 10 Jun 2025 03:33:28 +0000

phoenix (2025.06.06.1-2) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.06.06.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.06.06.1

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Fri,  6 Jun 2025 10:45:01 +0330

phoenix (2025.06.06.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.06.06.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.06.06.1

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Fri,  6 Jun 2025 10:14:16 +0330

phoenix (2025.06.02.1-2) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.06.02.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.06.02.1

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Mon,  2 Jun 2025 11:08:58 +0330

phoenix (2025.06.02.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.06.02.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.06.02.1

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Mon,  2 Jun 2025 10:54:12 +0330

phoenix (2025.05.11.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.05.11.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.05.11.1

 -- celenity <celenity@celenity.dev>  Mon, 12 May 2025 07:15:59 +0000

phoenix (2025.04.27.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.04.27.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.04.27.1

 -- celenity <celenity@celenity.dev>  Mon, 28 Apr 2025 04:22:26 +0000

phoenix (2025.04.15.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.04.15.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.04.15.1

 -- celenity <celenity@celenity.dev>  Tue, 15 Apr 2025 22:53:58 +0000

phoenix (2025.04.11.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.04.11.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.04.11.1

 -- celenity <celenity@celenity.dev>  Fri, 11 Apr 2025 07:11:00 +0000

phoenix (2025.04.02.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.04.02.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.04.02.1

 -- celenity <celenity@celenity.dev>  Thu, 03 Apr 2025 08:14:55 +0000

phoenix (2025.03.25.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.03.25.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.03.25.1

 -- celenity <celenity@celenity.dev>  Tue, 25 Mar 2025 21:41:04 +0000

phoenix (2025.03.20.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.03.20.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.03.20.1

 -- celenity <celenity@celenity.dev>  Fri, 21 Mar 2025 01:50:53 +0000

phoenix (2025.03.12.1-3) UNRELEASED; urgency=medium

  * New debian dir

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Thu, 13 Mar 2025 01:09:25 +0000

phoenix (2025.03.12.1-2) UNRELEASED; urgency=medium

  * Fix: Upgrade Debian repo to HTTPS

 -- celenity <celenity@celenity.dev>  Thu, 13 Mar 2025 01:09:25 +0000

phoenix (2025.03.12.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.03.12.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.03.12.1
  * Upgrade Debian repo to HTTPS

 -- celenity <celenity@celenity.dev>  Wed, 12 Mar 2025 08:01:52 +0000

phoenix (2025.03.05.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.03.05.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.03.05.1

 -- celenity <celenity@celenity.dev>  Thu, 06 Mar 2025 06:40:43 +0000

phoenix (2025.02.28.1-1) UNRELEASED; urgency=critical

  * Update to Phoenix 2025.02.28.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.02.28.1

 -- celenity <celenity@celenity.dev>  Fri, 28 Feb 2025 18:44:42 +0000

phoenix (2025.02.21.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.02.21.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.02.21.1

 -- celenity <celenity@celenity.dev>  Sat, 22 Feb 2025 05:21:34 +0000

phoenix (2025.02.18.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.02.18.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2024.02.18.1

 -- celenity <celenity@celenity.dev>  Wed, 19 Feb 2025 04:53:26 +0000

phoenix (2025.02.14.1-1) UNRELEASED; urgency=medium

  * Update to Phoenix 2025.02.14.1 - https://codeberg.org/celenity/Phoenix/releases/tag/2025.02.14.1

 -- celenity <celenity@celenity.dev>  Sat, 15 Feb 2025 01:19:32 +0000

phoenix (2025.02.13.1-1) UNRELEASED; urgency=medium

  * Update upstream version to 2025.02.13.1

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Thu, 13 Feb 2025 16:24:24 +0330

phoenix (2025.02.01.1-1) UNRELEASED; urgency=medium

  * Update upstream version to 2025.02.01.1

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Sat, 1 Feb 2025 16:24:24 +0330

phoenix (2025.01.30.1-1) UNRELEASED; urgency=medium

  * Update upstream version to 2025.01.30.1

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Fri, 31 Jan 2025 07:24:24 +0330

phoenix (2025.01.27.1-1) UNRELEASED; urgency=low

  * Disabled sending 'daily usage pings' to Mozilla - datareporting.usage.uploadEnabled -> false
  * Disabled CAPTCHA Detection Pings - captchadetection.actor.enabled -> false, captchadetection.loglevel -> Off
  * Added additional prefs to prevent cross-origin sub-resources from opening HTTP authentication dialogs (These are especially important for ex. Thunderbird...) - network.auth.non-web-content-triggered-resources-http-auth-allow & network.auth.subresource-img-cross-origin-http-auth-allow -> false
  * Disabled automatically clearing net monitor and web console log messages after page reloads/navigation - devtools.netmonitor.persistlog & devtools.webconsole.persistlog -> true
  * Syntax is now highlighted when viewing page sources (view-source:) - view_source.syntax_highlight -> true

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Tue, 28 Jan 2025 10:24:00 +0330

phoenix (2025.01.24.1-1) UNRELEASED; urgency=low

  * Regardless of Firefox's DoH mode, we now always warn before falling back to the system's native DNS by default. - network.trr.display_fallback_warning & network.trr_ui.show_fallback_warning_option -> true
  * Disabled Firefox's nonfunctional, legacy Safe Browsing API to ensure it's never used and for defense in depth. It's also now explicitly labeled in the case it is ever used for whatever reason. - browser.safebrowsing.provider.google.advisoryName -> Google Safe Browsing (Legacy), browser.safebrowsing.provider.google.gethashURL & browser.safebrowsing.provider.google.updateURL ->  
  * Explicitly enabled Firefox's native collector for sessionstore, as the old implementation is incompatible with per-site process isolation (Fission). - browser.sessionstore.disable_platform_collection -> false
  * Added additional prefs to ensure Firefox's Cookie Banner Blocking is properly enabled and fully functional. - cookiebanners.cookieInjector.enabled & cookiebanners.service.enableGlobalRules.subFrames -> true
  * Explicitly disabled EDNS Client Subnet (ECS) by default to prevent leaking general location data to authoritative DNS servers. - network.trr.disable-ECS -> true
  * Sending headers for DoH requests are now explicitly disabled. - network.trr.send_accept-language_headers & network.trr.send_user-agent_headers -> false, network.trr.send_empty_accept-encoding_headers -> true

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Sun, 26 Jan 2025 10:24:00 +0330

phoenix (2025.01.22.2-1) UNRELEASED; urgency=low

  * Google Safe Browsing is now proxied on all Phoenix installations, regardless of platform. :D - This proxy is set-up using the servers we've set up for IronFox - which are hosted on Cloudflare (on our bucket located in the EU's jurisdiction...). You can see the source code behind our proxy here.
  * DESKTOP: Fixed a bug that prevented users from installing extensions from addons.mozilla.org until refreshing the page.
  * DESKTOP: Disabled HaGeZi's Badware Hoster Blocklist in uBlock Origin by default, due to causing too much breakage.
  * DESKTOP: Enabled BadBlock - Click Tracking & Dandelion Sprout's Annoyances List in uBlock Origin by default.
  * DESKTOP: Blocked the use of specific broad whitelists in uBlock Origin, that were only designed for/meant to be used on the DNS level.
  * DESKTOP: Switched the links for HaGeZi's filterlists in uBlock Origin to use Codeberg, rather than GitLab (due to Codeberg's superior privacy policy...).
  * DESKTOP: Added preferences back to phoenix.cfg, as some preferences appear to not take effect unless set there. We're still also keeping preferences set in phoenix.js though, for consistency and defense in depth.
  * Other minor tweaks and improvements.

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Wed, 22 Jan 2025 18:24:00 +0330

phoenix (2025.01.22.1-1) UNRELEASED; urgency=low

  * Extensions/themes are now checked for updates hourly by default rather than once every 24 hours... - extensions.update.interval -> 3600
  * Timestamps are now shown in the web console by default. - devtools.webconsole.timestampMessages -> true
  * DESKTOP: Google Safe Browsing is now proxied by default! :) It's using the servers we've set up for IronFox - which are hosted on Cloudflare (on our bucket located in the EU's jurisdiction...). Hopefully these will be working on Android soon.
  * DESKTOP: Enabled Firefox's newer Felt privacy design for Private Browsing & Certificate Errors (browser.privatebrowsing.felt-privacy-v1 & security.certerrors.felt-privacy-v1 -> true)
  * DESKTOP: Moved Phoenix's preferences from phoenix.cfg to phoenix.js, meaning our prefs are now applied globally at a single location.
  * Heavily refined the overall build process, as well as did lots of minor tweaks, enhancements, clean-up, and re-organization.

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Wed, 22 Jan 2025 12:24:00 +0330

phoenix (2025.01.20.2-2) UNRELEASED; urgency=low

  * Fix changelog syntax
  * Remove  ${shlibs:Depends} from control

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Tue, 21 Jan 2025 12:24:00 +0330

phoenix (2025.01.20.2-1) UNRELEASED; urgency=medium

  * Enabled Cookies Having Independent Partitioned State (CHIPS) by default - `network.cookie.CHIPS.enabled` -> `true`
  * Enabled Smartblock Embeds/Placeholders by default - `extensions.webcompat.smartblockEmbeds.enabled` -> `true`
  * Added an `Unload tab` option to the context menu when right clicking tabs - `browser.tabs.unloadTabInContextMenu` -> `true`
  * Fixed syntax errors with `phoenix.js` and `policies.json`... 😅

 -- celenity <celenity@celenity.dev>  Mon, 20 Jan 2025 13:34:34 +0000

phoenix (2025.01.20.1-1) UNRELEASED; urgency=medium

  * Enabled light mode by default as part of our new approach to fingerprinting protection *(as this matches ex. RFP)*... - `layout.css.prefers-color-scheme.content-override` -> `1`
  * Updated specialized configs to use our new approach to fingerprinting protection. - (https://codeberg.org/celenity/Phoenix/issues/46)
  * Explicitly disabled prefetching via proxy. - `network.dns.prefetch_via_proxy` -> `false`
  * Explicitly disabled TLS 1.3 0-RTT for HTTP3. - `network.http.http3.enable_0rtt` -> `false`
  * URLbar entries no longer open in new tabs by default. - `browser.urlbar.openintab`
  * Removed the annoying `Import data from another browser` default bookmark - `DisableProfileImport` -> `true`
  * `Always ask` is now shown in the permissions dropdown for camera and microphone *(if that's their current status)* - `permissions.media.show_always_ask.enabled` -> `true`
  * Updated references to our `Hardened` config to `Extended`.
  * ETP WebCompat is no longer disabled in our `Extended` configs, as it's harmless and actually useful. *(We still disable dFPI heuristics though...)* - `privacy.antitracking.enableWebcompat`
  * Specialized configs are now based off of `Extended No-Sync` instead of `No-Sync`. The build process itself for specialized configs has also been heavily improved, and unnecessary prefs were removed.
  * Permission for websites to override keyboard shortcuts is now only blocked on `Extended` by default rather than all configs. - `permissions.default.shortcuts`
  * DESKTOP - EXTENDED: WebRTC hardening prefs are now unlocked and can be manually toggled by users if desired. - `media.peerconnection.ice.default_address_only` & `media.peerconnection.ice.no_host`
  * DISCORD & ELEMENT specialized configs: Permission to override keyboard shortcuts is no longer blocked by default. - `permissions.default.shortcuts` -> `0`
  * YOUTUBE specialized config: Fixed syntax errors.
  * Replaced the `browser.phoenix.*.applied` prefs with `browser.phoenix.*.status` prefs - as this is far cleaner and easy to manage (as well as better organized...)
  * Other minor tweaks, fixes, and enhancements...

 -- celenity <celenity@celenity.dev>  Mon, 20 Jan 2025 02:26:49 +0000

phoenix (2025.01.19.1-1) UNRELEASED; urgency=medium

  * Changed our approach to fingerprinting protection - See https://codeberg.org/celenity/Phoenix/issues/46 for details.
  * Unlocked the majority of preferences we previously had locked - See https://codeberg.org/celenity/Phoenix/issues/47 for details, as well as for the list of preferences we still lock...
  * Disabled `failIfMajorPerformanceCaveat` in WebGL contexts due to fingerprinting concerns. - `webgl.disable-fail-if-major-performance-caveat' -> 'true'
  * We no longer disable memory caching, as it can cause breakage in certain contexts, and there's simply no real benefit it brings *(Not even Tor Browser sets this...)*. - `browser.cache.memory.enable` & `browser.cache.memory.capacity`
  * Disabled the use of third-party/OS level root certificates. This is commonly abused by malware (including garbage antiviruses...) and these certificates are added to MITM traffic without user knowledge/consent. Users can still manually import their own certificate into Firefox's built-in certificate store - which I think is acceptable, because at least users this way are aware of the certificate(s) they're importing and why... - `security.certerrors.mitm.auto_enable_enterprise_roots` & `security.enterprise_roots.enabled` -> `false`
  * We no longer enable [CSS grid Masonry layout](https://developer.mozilla.org/docs/Web/CSS/CSS_grid_layout/Masonry_layout), as it could be fingerprintable *(and generally best to just leave up to upstream...)* - `layout.css.grid-template-masonry-value.enabled`
  * We now explicitly disable JIT (Ion/WarpMonkey) for extensions. We already did by default, but since we now manually set it, it's exposed in the `about:config` for users to toggle if desired. - `javascript.options.jit_trustedprincipals` -> `false`
  * Switched the target video resolution (when using Firefox's fingerprinting protection from 480p to 1080p - This is also the default on Nightly, and provides for a far better experience... - `privacy.resistFingerprinting.target_video_res` -> `1080`
  * Enabled Firefox's Cosmetic + UI Animations. Firefox already does this by default, but since we now manually set it, it's exposed in the `about:config` for users to toggle if desired. - `toolkit.cosmeticAnimations.enabled` -> `true`, `ui.prefersReducedMotion` -> `1`
  * Removed more Mozilla URL tracking paramaters :/ - `browser.contentblocking.report.monitor.url' -> 'https://monitor.firefox.com/' & 'browser.contentblocking.report.monitor.sign_in_url' -> 'https://monitor.firefox.com/oauth/init'
  * Lots of clean-up and unnecessary prefs removed + re-organization
  * Other minor tweaks, fixes, and enhancements...

 -- celenity <celenity@celenity.dev>  Sun, 19 Jan 2025 17:14:44 +0000

phoenix (2025.01.14.1-1) UNRELEASED; urgency=low

  * Disabled the use of system accent colors due to fingerprinting concerns - widget.non-native-theme.use-theme-accent -> false
  * Fixed the URL for BeaconDB - geo.provider.network.url -> https://api.beacondb.net/v1/geolocate (Thanks to @lucasmz #45 💜)
  * Desktop: Explicitly opted out of the origin trial for Privacy-Preserving Attribution in policies.json for defense in depth - dom.origin-trials.private-attribution.state -> 2
  * Android: Fully enabled Bounce Tracking Protection (part of ETP Strict) - privacy.bounceTrackingProtection.mode -> 1

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Tue, 14 Jan 2025 18:24:00 +0330

phoenix (2025.01.13.1-1) UNRELEASED; urgency=medium

  * Set additional preferences to ensure DNS Prefetching is fully disabled for defense in depth - dom.prefetch_dns_for_anchor_http_document & dom.prefetch_dns_for_anchor_https_document -> false
  * Similarly, set the maximum amount of connections for Preconnect to 0... - network.early-hints.preconnect.max_connections -> 0
  * Disabled saving clipboard history locally and/or to the cloud... - clipboard.copyPrivateDataToClipboardCloudOrHistory -> false
  * Set file:// URLs to open in a separate content process - browser.tabs.remote.separateFileUriProcess -> true
  * Enabled Opaque Response Blocking - browser.opaqueResponseBlocking & browser.opaqueResponseBlocking.javascriptValidator -> true
  * Enabled SHIP (Session History In Parent), as it's required for Per-site process isolation (Fission) - fission.disableSessionHistoryInParent -> false
  * Explicitly opted out of the origin trial for Privacy-Preserving Attribution for defense in depth - dom.origin-trials.private-attribution.state -> 2
  * Enforced blocking access to the AddonManager over insecure protocols - extensions.webapi.testing.http -> false
  * Additionally, blocked certain Mozilla developer websites from accessing the AddonManager... - extensions.webapi.testing -> false
  * Enforced always running web extensions out of process - extensions.webextensions.remote -> true
  * Enabled COEP: credentialless - browser.tabs.remote.coep.credentialless -> true, dom.origin-trials.coep-credentialless.state -> 1
  * Prevented remoteTypes from triggering process switches they shouldn't be able to... - browser.tabs.remote.enforceRemoteTypeRestrictions -> true
  * Switched setting Quad9 as the default DoH provider by now using network.trr.default_provider_uri instead of network.trr.custom_uri & network.trr.uri - network.trr.default_provider_uri -> https://dns.quad9.net/dns-query, network.trr.custom_uri & network.trr.uri ->  
  * Minor tweaks & re-organization

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Mon, 13 Jan 2025 18:24:00 +0330

phoenix (2025.01.12.2-1) UNRELEASED; urgency=medium

  * Minor, Android-specific update: to officially begin locking & enforcing important prefs, just like we do on desktop... - See 756643bedf for details.

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Sun, 12 Jan 2025 18:24:00 +0330

phoenix (2025.01.12.1-1) UNRELEASED; urgency=medium

  * Disabled JIT within Firefox's main process - javascript.options.main_process_disable_jit -> true
  * Disabled the JIT Baseline Interpreter - javascript.options.blinterp -> false
  * Disabled marking JIT code pages as both writable and exeuctable - javascript.options.content_process_write_protect_code -> true
  * Enabled fdlibm for Math.sin, Math.cos, and Math.tan, as it is less fingerprintable - javascript.options.use_fdlibm_for_sin_cos_tan -> true
  * Disabled Preconnect - network.preconnect -> false
  * Disabled Early Hints - network.early-hints.enabled & network.early-hints.preconnect.enabled -> false
  * Explicitly disabled AI/"ML Autofill" by default - extensions.formautofill.ml.experiment.enabled -> false
  * Fully disabled the use of SharedArrayBuffer using window.postMessage, regardless of context - dom.postMessage.sharedArrayBuffer.bypassCOOP_COEP.insecure.enabled & dom.postMessage.sharedArrayBuffer.withCOOP_COEP -> false
  * Enforced various important security preferences - See df260a8161 & 24c193f0d0 for details...
  * Desktop: Enforced applying Content Security Policy (CSP) to the internal browser.xhtml - security.browser_xhtml_csp.enabled -> true
  * Desktop: Locked general.config.obscure_value to prevent severe breakage... - general.config.obscure_value -> 0
  * Minor tweaks/fixes & re-organization

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Sun, 12 Jan 2025 12:24:00 +0330

phoenix (2025.01.06.1-1) UNRELEASED; urgency=low

  * Enabled support for Trusted Types (Like Chromium). - dom.security.trusted_types.enabled -> true
  * CSP assertions for about: pages are no longer skipped. (This was already the default behavior for standard Firefox releases, but now we enforce it - which is particularly useful for ex. Thunderbird, where it actually isn't enabled by default...) - dom.security.skip_about_page_has_csp_assert -> false
  * Explicitly disabled the Network Information API. Firefox already disables it by default, but now we directly enforce it. - dom.netinfo.enabled -> false
  * Disabled Event Telemetry on Desktop (Already disabled on Android) - this is likely covered by our other telemetry prefs, but useful for defense in depth. - privacy.imageInputTelemetry.enableTestMode -> false
  * Blocked insecure object subrequests in mixed content. - security.mixed_content.block_object_subrequest -> true
  * Minor tweaks/fixes

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Wed, 8 Jan 2025 18:24:00 +0330

phoenix (2025.01.05.1-1) UNRELEASED; urgency=low

  * Phoenix on desktop no longer clears cookies & site data on exit by default (Except for our specialized YouTube config). Not an easy choice to make - but it's best we leave this to users to decide. Firefox's current approach to site exceptions also has its own drawbacks, and Mozilla needs to make it more user-friendly to set. We still clear cache, history, & sessions on exit by default.
  * Set extensions.update.autoUpdateDefault to true to ensure users are always notified of extension updates.
  * We now disable unsafe negotiations (via setting security.ssl.require_safe_negotiation to true) for all configs. This was previously only set on Extended Hardening & the specialized configs, though appears to cause little to 0 breakage, so now it's set everywhere :).
  * New browser.phoenix.version pref to allow easily checking & confirming your version of Phoenix from within the browser...
  * Added more preferences from Firefox's ETP Strict tracking protection to Phoenix's Android configs, to ensure that they are always enabled.
  * Other minor tweaks & fixes.

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Sun, 5 Jan 2025 17:24:00 +0330

phoenix (20250103.2-1) UNRELEASED; urgency=medium

  * Ensured that we're properly always enabling Fission (Per-site process isolation) by default on Android (& elsewhere) by setting fission.autostart.session to true. (We currently already set fission.autostart to true...)
  * We now always enforce Spectre mitigations, even for isolated content - by setting javascript.options.spectre.disable_for_isolated_content to false.
  * Firefox on desktop will no longer automatically guess which container to open external links in, as this can cause unintended leaks & cross-contamination. You can restore Firefox's default behavior by setting browser.link.force_default_user_context_id_for_external_opens in your about:config to false.
  * Websites are no longer able to automatically download as many files as they want to a user's device without prompting. You can still set exemptions for specific downloads. (browser.download.enable_spam_prevention).
  * Improved organization & fix numbering of categories. We've also now added various phoenix preferences that allow for easy debugging & testing, so that you can easily see if Phoenix is properly applied to Firefox - and if not, where it went wrong.

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Fri, 3 Jan 2025 10:05:25 -0500

phoenix (20250103.1-1) UNRELEASED; urgency=high

  * First official release for Debian :D
  * Update to Phoenix 20250103.1
  * See https://codeberg.org/celenity/Phoenix/releases/tag/20250103.1 for more details.

 -- celenity <celenity@celenity.dev>  Fri, 3 Jan 2025 02:05:25 -0500

phoenix (20241229-1-2) UNRELEASED; urgency=medium

  * Add phoenix-esr as a Breaks
  * Happy Cristmas

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Thu, 1 Jan 2025 07:24:00 +0330

phoenix (20241229-1-1) UNRELEASED; urgency=low

  * Initial release.

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Sun, 29 Dec 2024 17:25:12 +0330
